"use strict";
/* A simple lamp of coral and luminescent orbs */
var Deco_Corallamp = function(){
	//var decoImg = SDS_Load_Image("art/sheets/decoration/corallamp.png");
	//var decoSheet = new TileSheet(4, 5, 1, 0, decoImg);
	//var deco = new Decoration(decoSheet,"CoralLamp");
	//deco.frame = 0;

	//deco.animate = function(){
	//	deco.frame = deco.frame^1;
	//}

	//return deco;
	
	this.frame=0;
};

Deco_Corallamp.prototype = new Decoration(
	new TileSheet(
		4, 5, 1, 0, 
		SDS_Load_Image("art/sheets/decoration/corallamp.png")
	),
	"CoralLamp");

Deco_Corallamp.prototype.animate = function(){
		this.frame = this.frame^1;
	}